regina::stl::select1st< Pair > Struct Template Reference
Utilities

An adaptable unary function used to select the first element of a pair. More...

`#include <utilities/stlutils.h>`

Inheritance diagram for regina::stl::select1st< Pair >:

## Public Member Functions

const Pair::first_type & | operator() (const Pair &x) const
| Returns the first element of the given pair. More...

## Detailed Description

### template<class Pair>
struct regina::stl::select1st< Pair >

An adaptable unary function used to select the first element of a pair.

This class is for use with the Standard Template Library.

Precondition
  The template argument `Pair` has a data member `Pair::first`.

Python:
  Not present.

Author
  This class was taken and modified from the Standard Template Library (`http://www.stlport.org/`).

## Member Function Documentation

template<class Pair >

const Pair::first_type& regina::stl::select1st< Pair >::operator() | ( | const Pair & | x | ) | const

inline

Returns the first element of the given pair.

Parameters

  x | the pair to examine.

Returns
  the first element of the given pair.

The documentation for this struct was generated from the following file:

- utilities/stlutils.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).